import Adapter from "./Adapter"
import AdapterItemXML from "./AdapterItemXML"
import DialogXML from "./DialogXML"
import FragmentXML from "./FragmentXML"
import Model from "./Model"
import Fragment from "./Fragment"



export const generateAlertUI = (configuration) => {
    let copyList = []

    //Fragments
    copyList.push({
        fileName: 
            "app/src/main/java/com/" +
            configuration.name.toLowerCase() +
            "/app/ui/fragments/alerts/AlertsFragment.kt",
        content: Fragment(configuration)
    })

    copyList.push({
        fileName: 
            "app/src/main/java/com/" +
            configuration.name.toLowerCase() +
            "/app/adapters/AlertsAdapter.kt",
        content: Adapter(configuration)
    })

    copyList.push({
        fileName: 
            "app/src/main/java/com/" +
            configuration.name.toLowerCase() +
            "/app/model/remote/AlertModel.kt",
        content: Model(configuration)
    })
    
    //Layouts
    copyList.push({
        fileName: 
            "app/src/main/res/layout/fragment_alerts.xml",
        content: FragmentXML(configuration)
    })

    copyList.push({
        fileName: 
            "app/src/main/res/layout/dialog_alert_view.xml",
        content: DialogXML(configuration)
    })

    copyList.push({
        fileName: 
            "app/src/main/res/layout/item_app_alert.xml",
        content: AdapterItemXML(configuration)
    })

 


    return copyList;
}